<head>
    <meta charset="utf-8"/>
    <style type="text/css">
        body { margin:0;overflow:hidden; }
        #toolbar { position:fixed;top:75px;left:10px;padding:8px; }
        #toolbar p { margin:0 0 8px 0; }
        #toolbar p span { margin-left:8px; }
    </style>
    <title>Draw a feature model</title>
</head>
<body>
    <div id="toolbar">
        <p>
            <input type="button" value="Export SVG" id="export_svg"/>
            <input type="button" value="Export PNG" id="export_png"/>
            <input type="button" value="Export JSON" id="export_json"/>
            <input type="button" value="Translate to IDP" id="to_idp"/>
            <input type="button" value="Import JSON" id="load_json"/>
            <input type="file" id="upload_file"/>
            <input type="button" value="Reset" id="reset"/>
            <br>
            <span>Click: create/select box | Right click box: connect to it </span>
        </p>
        <div id="settings">
            <input id="boxname" type="text"/>
            <select id="abstract"><option value="A">Abstract</option><option value="C">Concrete</option></select>
            <select id="child"><option value="C">Normal child</option><option value="M">Mandatory</option><option value="P">Optional</option></select>
            <select id="parent"><option value="A">And</option><option value="O">Or</option><option value="X">Alternative</option></select>
            <input id="delete" type="button" value="Delete"/>
        </div>
    </div>
    <svg xmlns="http://www.w3.org/2000/svg" id="model">
        <style>
            text { font:18px serif;user-select:none; }
            rect { fill:#eee;stroke:#afafaf;stroke-width:1px; }
            line { stroke:#555;stroke-width:2;stroke-linecap:round; }
            circle { stroke:#555;stroke-width:2;fill:#fff; }
            path { stroke:#555;fill:#555;stroke-width:2; }
        </style>
    </svg>
</body>

